# Interface InterfaceMethodRefEntry

All Superinterfaces:
  `MemberRefEntry, PoolEntry`

public sealed interface InterfaceMethodRefEntry extends MemberRefEntry
Models a `CONSTANT_InterfaceMethodRef_info` structure, or a symbolic reference to an interface method, in the constant pool of a `class` file.

An interface method reference entry is composite:

    InterfaceMethodRefEntry(
        ClassEntry owner,
        NameAndTypeEntry nameAndType
    )

where the `type` in the `nameAndType` is a method descriptor string.

See Java Virtual Machine Specification:
  4.4.2 The `CONSTANT_Fieldref_info`, `CONSTANT_Methodref_info`, and `CONSTANT_InterfaceMethodref_info` Structures
Since:
  24
See Also:
  - `ConstantPoolBuilder::interfaceMethodRefEntry`

- ## Field Summary

  ### Fields declared in interface PoolEntry

  `TAG_CLASS, TAG_DOUBLE, TAG_DYNAMIC, TAG_FIELDREF, TAG_FLOAT, TAG_INTEGER, TAG_INTERFACE_METHODREF, TAG_INVOKE_DYNAMIC, TAG_LONG, TAG_METHOD_HANDLE, TAG_METHOD_TYPE, TAG_METHODREF, TAG_MODULE, TAG_NAME_AND_TYPE, TAG_PACKAGE, TAG_STRING, TAG_UTF8`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default MethodTypeDesc`
  `typeSymbol()`
  Returns a symbolic descriptor for the method type.

  ### Methods declared in interface MemberRefEntry

  `name, nameAndType, owner, type`

  ### Methods declared in interface PoolEntry

  `constantPool, index, tag, width`

- ## Method Details

  - ### typeSymbol

    default MethodTypeDesc typeSymbol()
    Returns a symbolic descriptor for the method type.
    Returns:
      a symbolic descriptor for the method type